export interface IArticle {
  title: string;
  teaser?: string;
  type: "article" | "event";
  headerImage: string;
  headerImageAlt?: string;
  date: string;
  time?: string;
  location?: string;
  customColor?: Color;
  customTextColor?: "dark" | "light";
  order?: number;
  hidden?: boolean;
}

type RGB = `rgb(${number}, ${number}, ${number})`;
type RGBA = `rgba(${number}, ${number}, ${number}, ${number})`;
type HEX = `#${string}`;
type HSL = `hsl(${number}, ${number}%, ${number}%)`;
type HSLA = `hsla(${number}, ${number}%, ${number}%, ${number})`;

export type Color = RGB | RGBA | HEX | HSL | HSLA;
